<?
define('PROTECTOR', 1);
$headmod = 'clan-buildings';//фикс. места
/*
Мод здания для движка "Битва Героев"
Автор:InstalScript я здесь bymas.ru/id3741
За найдиные баги и ошибки извиняюсь,пишу быстро!
модом не барыжить.
Выкладываю специально для bymas.ru лучшей вап мастерской вапа
*/
$_GET[id]=intval($_GET['id']);
$instalscript = htmlspecialchars(trim(stripslashes($_GET['instalscript'])));


if($instalscript=='upgrade'){$header=TRUE;}
if($instalscript=='bonus-yes'){$header=TRUE;}
else{$textl='Клан.Здания';}

include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();zasad();ryd();place_okr();place_zamok();place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');






if(empty($udata['clan'])){echo"Вы не состоите в клане";include($path.'files/down.php');exit;}
$lider = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `lider` = '".$log."' "));
$rti = rand(1,5);//рандом от 1 до 5 ниже инфа для каждого рандомного числа
if($rti==1){$rti = 'Каждое здание дает уникальный бонус';}
if($rti==2){$rti = 'Строить или улучшать здания может лишь лидер клана';}
if($rti==3){$rti = 'Бонусы даются лишь на некоторое время зависит от уровня здания';}
if($rti==4){$rti = '5 уровень здания дает бонус на 24 часа';}
if($rti==5){$rti = 'Здания можно улучшить лишь лидеру и лишь за золото из казны';}

$tip = $_GET['tip'];
$clan_1 = mysql_fetch_array(mysql_query("SELECT * FROM `clan` WHERE `lider` = '".$udata['clan']."' "));
$build = mysql_fetch_array(mysql_query("SELECT * FROM `clan_buildings` WHERE `clan` = '".$clan_1['name']."' AND `tip`='".$tip."' "));
$my_bon = mysql_fetch_array(mysql_query("SELECT * FROM `clan_user_time` WHERE `user`='".$udata['usr']."' AND `tip`='".$tip."' "));

############################################## НИЖЕ ДЛЯ НОВИЧКОВ В php УПРАВЛЕНИЕ СТОИМОСТЬ И ПРОЧИМ
## $money это стоимость для следуещего уровня
## $bon это бонус для следуещего уровня
## $vdb это время действия бонуса в секундах для следуещего уровня
## $building это название здания

if($tip=='hpall'){
$building = 'Источник жизни';
##БОНУС ЖИЗНИ НАЧАЛО##
if($bhpall['lvl']==0){$money = 1000;$bon = 100;$vdb = 5400;} //постройка здания
if($bhpall['lvl']==1){$money = 2000;$bon = 200;$vdb = 10400; }
if($bhpall['lvl']==2){$money = 3000;$bon = 300;$vdb = 30400; }
if($bhpall['lvl']==3){$money = 4000;$bon = 400; $vdb = 50400;}
if($bhpall['lvl']==4){$money = 5000;$bon = 500;$vdb = 86400; }//последний уровень
##БОНУС ЖИЗНИ КОНЕЦ##
}
if($tip=='mpall'){$building = 'Источник маны';
##БОНУС МАНА НАЧАЛО##
if($bmpall['lvl']==0){$money = 1000;$bon = 100;$vdb = 5400;} //постройка здания
if($bmpall['lvl']==1){$money = 2000;$bon = 200;$vdb = 10400;}
if($bmpall['lvl']==2){$money = 3000;$bon = 300;$vdb = 30400;}
if($bmpall['lvl']==3){$money = 4000;$bon = 400;$vdb = 50400;}
if($bmpall['lvl']==4){$money = 5000;$bon = 500;$vdb = 86400;} //последний уровень
##БОНУС МАНА КОНЕЦ##
}
if($tip=='sila'){
$building = 'Источник силы';
##БОНУС СИЛА НАЧАЛО##
if($bsila['lvl']==0){$money = 1000;$bon = 100;$vdb = 5400;} //постройка здания
if($bsila['lvl']==1){$money = 2000;$bon = 200;$vdb = 10400;}
if($bsila['lvl']==2){$money = 3000;$bon = 300;$vdb = 30400;}
if($bsila['lvl']==3){$money = 4000;$bon = 400;$vdb = 50400;}
if($bsila['lvl']==4){$money = 5000;$bon = 500;$vdb = 86400;} //последний уровень
##БОНУС СИЛА КОНЕЦ##
}
if($tip=='prot'){
$building = 'Источник защиты';
##БОНУС ЗАЩИТА НАЧАЛО##
if($bprot['lvl']==0){$money = 1000;$bon = 100;$vdb = 5400;} //постройка здания
if($bprot['lvl']==1){$money = 2000;$bon = 200;$vdb = 10400;}
if($bprot['lvl']==2){$money = 3000;$bon = 300;$vdb = 30400;}
if($bprot['lvl']==3){$money = 4000;$bon = 400;$vdb = 50400;}
if($bprot['lvl']==4){$money = 5000;$bon = 500;$vdb = 86400;}  //последний уровень
##БОНУС ЗАЩИТА КОНЕЦ##
}

##КОНФИГУРАЦИЯ ПОКУПКИ БОНУСА
##ПРИМЕР
## бонус здания разделить на $stoimost_bonusa   равно стоимоть бонуса
$stoimost_bonusa = 5;









switch($instalscript){
default:
if($_GET['error']==1){echo"<font color='#F11B1B'>Ошибка здания не существует</font></br>";}
if($_GET['error']==2){echo"<font color='#F11B1B'>Ошибка вы уже брали данный бонус</font></br>";}
if($_GET['bon']=='yes'){echo"Вы взяли бонус +$my_bon[bonus]<img src='/pic/clan-building/ico/stat/$tip.png'></br>";}

echo"<img src='/pic/clan-building/ico/hpall.png'><a href='/clan-buildings.php?instalscript=source-to&tip=hpall' ''>Источник жизни</a>";if($bhpall!=0){echo"$bhpall[lvl]ур.";if($my_bon_hpall!=0){echo"+$my_bon_hpall[bonus]<img src='/pic/clan-building/ico/stat/$my_bon_hpall[tip].png'</br>";}}else{echo" не построино";}
echo"</br><img src='/pic/clan-building/ico/mpall.png'><a href='/clan-buildings.php?instalscript=source-to&tip=mpall' ''>Источник маны</a>";if($bmpall!=0){echo"$bmpall[lvl]ур.";if($my_bon_mpall!=0){echo"+$my_bon_mpall[bonus]<img src='/pic/clan-building/ico/stat/$my_bon_mpall[tip].png'</br>";}}else{echo" не построино";}
echo"</br><img src='/pic/clan-building/ico/sila.png'><a href='/clan-buildings.php?instalscript=source-to&tip=sila' ''>Источник силы</a>";if($bsila!=0){echo"$bsila[lvl]ур.";if($my_bon_sila!=0){echo"+$my_bon_sila[bonus]<img src='/pic/clan-building/ico/stat/$my_bon_sila[tip].png'</br>";}}else{echo" не построино";}
echo"</br><img src='/pic/clan-building/ico/prot.png'><a href='/clan-buildings.php?instalscript=source-to&tip=prot' ''>Источник защиты</a>";if($bprot!=0){echo"$bprot[lvl]ур.";if($my_bon_prot!=0){echo"+$my_bon_prot[bonus]<img src='/pic/clan-building/ico/stat/$my_bon_prot[tip].png'</br>";}}else{echo" не построино";}
echo"</br><font color='#7DCD25'>$rti</font>";
break;

//ЗДАНИЯ
case'source-to':
if($tip!='hpall' && $tip!='mpall' && $tip!='prot' &&  $tip!='sila'){echo"<font color='#F11B1B'>Ошибка здания не существует</font></br>";}else{
echo"$building</br>";
if($_GET['lvl']=='creat'){echo"<font color='#E28F05'>Здание построино</font></br>";}
if($_GET['lvl']=='up'){echo"<font color='#E28F05'>Уровень здания повысен до $build[lvl] ур.</font></br>";}
if($_GET['lvl']=='max'){echo"<font color='#E28F05'>Уровень здания повысен до максимального $build[lvl] ур.</font></br>";}
if($_GET['lvl']=='no-lider'){echo"<font color='#C00C0C'>Вы не являетесь лидером клана</font></br>";}
if($_GET['lvl']=='no-money'){echo"<font color='#C00C0C'>Недостаточно монет в казне клана</font></br>";}
echo"<table><td><img src='/pic/clan-building/building/$tip.png'></td>";
if($build['lvl']==0){echo"</br>здание не построино";}else{echo"<td>уровень:$build[lvl]</br><a href='clan-buildings.php?instalscript=bonus&tip=$tip'>Взять бонус +$build[bonus]
<img src='/pic/clan-building/ico/stat/$tip.png'> на $build[timer] сек за ".round($build['bonus']/$stoimost_bonusa)." монет </a></td>";}
echo"<td></td></table>";
if($lider!=0 && !empty($udata['clan']) && $build['lvl']==0){echo"</br><a href='/clan-buildings.php?instalscript=create&tip=$tip'>Построить здание за $money монет</a>";}
if($build['lvl']==5){echo"</br>Уровень здания повысен до максимального";}
elseif($lider!=0 && !empty($udata['clan']) && $build['lvl']>0){echo"</br><a href='/clan-buildings.php?instalscript=upgrade&tip=$tip'>Улучшить здание за $money монет</a>";}
echo"</br><a href='/clan-buildings.php?'>Здания клана</a>";
}
break;

//ПОТВЕРЖДЕНИЕ О ПОСТРОЙКИ ЗДАНИЯ
case'create':
if($tip!='hpall' && $tip!='mpall' && $tip!='prot' &&  $tip!='sila'){echo"<font color='#F11B1B'>Ошибка здания не существует</font></br>";}
else{if($lider!=0){
if($build['lvl']==0){echo"</br><font color='#5BE817'>Вы действительно хотите построить здание <font color='#BC0505'>$building</font> за $money монет</font></br><a href='/clan-buildings.php?instalscript=upgrade&tip=$tip'><font color='#72F440'><b>Да</font></a><a href='/clan-buildings.php?instalscript=source-to&tip=$tip'><font color='#FF2828'>Нет</b></font></a>";}
else{echo"Здание уже построино";}
}else{echo"Вы не лидер клана";}
}
break;

//УЛУЧШЕНИЕ ЗДАНИЯ
case'upgrade':
if($tip!='hpall' && $tip!='mpall' && $tip!='prot' &&  $tip!='sila'){header ("Location: /clan-buildings.php?error=1");exit;}else{
if($lider!=0){
if($lider['money']<$money){header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=no-money");exit;}else
{
//ПОСТРОЙКА ЗДАНИЯ
if($build['lvl']==0){mysql_query("INSERT INTO `clan_buildings` SET `tip` = '".$tip."',`lvl` = '1',`bonus` = '".$bon."',`clan` = '".$user_clan['name']."',`timer`='".$vdb."' ");mysql_query("UPDATE `clan` SET `money`='".($lider['money']-$money)."' ");header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=creat");exit;}
//УЛУЧШЕНИЕ ЗДАНИЯ
if($build['lvl']==5){header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=max");exit;}
elseif($build['lvl']>0 && $build['lvl']<6){mysql_query("UPDATE `clan_buildings` SET `lvl` = '".($build['lvl']+1)."',`bonus` = '".$bon."',`clan` = '".$user_clan['name']."',`timer`='".$vdb."' WHERE `tip` = '".$tip."'  ");
mysql_query("UPDATE `clan` SET `money`='".($user_clan['money']-$money)."' WHERE `name`='".$user_clan['name']."'  ");header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=up");exit;}
}
}else{header ("Location: /clan-buildings.php?instalscript=source-to&tip=$tip&lvl=no-lider");exit;}
}

break;
//БЕРЕМ БОНУС
case'bonus':
if($tip!='hpall' && $tip!='mpall' && $tip!='prot' &&  $tip!='sila'){echo"<font color='#F11B1B'>Ошибка здания не существует</font></br>";}else{
echo"$building";
echo"</br>Вы действительно хотите взять бонус ";
echo"</br><a href='clan-buildings.php?instalscript=bonus-yes&tip=$tip'> +$build[bonus]<img src='/pic/clan-building/ico/stat/$tip.png'> на $build[timer] сек за ".round($build['bonus']/$stoimost_bonusa)." монет</a>";
}
break;

case'bonus-yes':
if($my_bon!=0){header ("Location: /clan-buildings.php?error=2");exit;}//проверяем есть ли такой бонус
if($my_bon==0){
mysql_query("INSERT INTO `clan_user_time` SET `user` = '".$udata['usr']."',`clan` = '".$user_clan['name']."',`tip` = '".$tip."',`time` = '".(time()+$build['timer'])."',`bonus`='".$build['bonus']."' ");
mysql_query("UPDATE `users` SET `money`='".($udata['money']-(round($build['bonus']/$stoimost_bonusa)))."' ,`$tip`='".($udata[$tip]+$build['bonus'])."' WHERE `usr`='".$udata['usr']."'  ")or die(mysql_error());
header ("Location: /clan-buildings.php?bon=yes&tip=$tip");exit;
}



break;

}





include($path.'files/down.php');
?>